# Summary

* [Introduction](README.md)
* [Tutorials Template](template.md)

## Week 1: Principles & Practices, Project Management
* [Git Simple Cheat Sheet](week01_principles_practices_project_management/git_simple.md)
* [Git Extended Cheat Sheet](week01_principles_practices_project_management/git_cheat_sheet.md)
* [Migrating Git Repository](week01_principles_practices_project_management/git_migrating_repo.md)
* [Setting up MkDocs](week01_principles_practices_project_management/mkdocs.md)
* [HTML Basics](week01_principles_practices_project_management/html_basics.md)
* [Resources for learning HTML+CSS](week01_principles_practices_project_management/html_css.md)
* [Git vs. Mercurial](week01_principles_practices_project_management/git_mercurial.md)
* [Templates/Resources](week01_principles_practices_project_management/templates_resources.md)
* [Resize Images Gimp](week01_principles_practices_project_management/image_scaling.md)
* [Linux Subsystem on Windows](week01_principles_practices_project_management/linux_subsystem_and_fabmodules_on_windows.md)


## Week 2: Computer Aided Design
* [Fab Modules (HTML5) setup_linux](week02_computer_aided_design/fabmodules_html5_linux.md)
* [2D Modeling Tools and Video Tutorials](week02_computer_aided_design/2d_tools.md)
* [3D Modeling Tools and Video Tutorials](week02_computer_aided_design/3d_cad_tools.md)
* [Unwrap with Blender](week02_computer_aided_design/unwrap_blender.md)
* [Antimony Tabs](week02_computer_aided_design/antimony_tabs.md)
* [Antimony UI Drag Function Example](week02_computer_aided_design/antimony_drag.md)
* [Parametric Modeling of a Box Beam in Antimony](week02_computer_aided_design/antimony_box.md)
* [Resources](week02_computer_aided_design/resources.md)

## Week 3: Computer-Controlled Cutting
* [Introduction to LaserCutter- Video](week03_computer_controlled_cutting/laser.md)
* [Press-Fit Construction Tips/Resources](week03_computer_controlled_cutting/press_fit.md)
* [Press-Fit Inkscape](week03_computer_controlled_cutting/press_fit_inkscape.md)
* [Vinyl Cutter](week03_computer_controlled_cutting/vinyl.md)

## Week 4: Electronics Production
* [FabTinyISP_english](week04_electronic_production/fabtinyisp_english.md)
* [Fab ISP_english](week04_electronic_production/fabisp.md)
* [Use an Arduino UNO as an ISP to program your first FabISP](week04_electronic_production/arduino_isp.md)
* [SRM20_windows_english](week04_electronic_production/srm20_windows.md)
* [PCB with a fiber laser cutter](week04_electronic_production/fiber_laser_pcb.md)
* [Flexible_PCB_windows_english](week04_electronic_production/flexible_pcb_windows_mac.md)
* [Fab Isp-Other models](week04_electronic_production/fabisp_models.md)

## Week 5: 3D scanning and printing
* [Introduction to 3d scanning and printing- Video](week05_3dscanning_and_printing/3d_scanning_printing.md)
* [3d scanning Tools and Video Tutorials](week05_3dscanning_and_printing/3d_scanning_tools.md)
* [Point Cloud to Mesh](week05_3dscanning_and_printing/point_cloud_mesh.md)

## Week 6: Electronics Design
* [Introduction to EAGLE](week06_electronic_design/eagle_english.md)
* [Why did we put a 20MHz crystal on the Hello FTDI?](week06_electronic_design/about_clock_speed.md)
* [Eagle Resources](week06_electronic_design/eagle_resources.md)

## Week 7: Computer-controlled machining
* [Introduction to CNC- Video](week07_computer_controlled_machining/cnc.md)
* [Guido to CNC A-Z](week07_computer_controlled_machining/cnc_tips.md)

## Week 8: Embedded Programming
* [What is Make and Makefiles](week08_embedded_programming/makefile.md)
* [Timing an AVR microcontroller](week08_embedded_programming/timing.md)
* [ATtiny44 fuses](week08_embedded_programming/attiny44_fuses.md)
* [ATtiny Using C](week08_embedded_programming/attiny_c.md)
* [ATtiny Using Arduino](week08_embedded_programming/attiny_arduino.md)

## Week 9: Machine Building
* [Getting Started With Gestalt Nodes](week09_machine_building/gestalt_start.md)
* [Gestalt IDE with Python](week09_machine_building/gestalt_ide.md)
* [Machine/Gestalt Resources](week09_machine_building/machine_resources.md)

## Week 11: Input Devices

## Week 12: Molding and Casting
* [Introduction to Molding and Casting- Video](week12_molding_and_casting/molding_casting.md)
* [Molding and Casting - FabModules](week12_molding_and_casting/molding_fabmodules.md)

## Week 13: Output Devices

## Week 14 : Composites

## Week 15: Networking and communications
* [ESP8266 Introduction](week15_networking_and_communications/esp8266.md)
* [Hello Serial Bus C](week15_networking_and_communications/helloserialbus-c.md)

## Week 16: Interface and application Programming
* [Resources for Processing](week16_interface_and_application_programming/processing_resources.md)
* [Python](week16_interface_and_application_programming/python.md)
* [Reading serial data with Python](week16_interface_and_application_programming/python_serial.md)
* [Pure Data - Arduino](week16_interface_and_application_programming/puredata_serial.md)
* [Python Web Serial Console](week16_interface_and_application_programming/python_web.md)
* [Intro to wxPython](week16_interface_and_application_programming/python_wx.md)
* [Read Serial with Kivy(Python)](week16_interface_and_application_programming/python_kivy.md)

## Bonus:
* [Fabbercise](bonus/fabbercise.md)
* [Tips and Tricks to Passing Fab Academy](bonus/tips_tricks.md)
* [Repository Visualisation](bonus/repo_visualisation.md)
